html {
  height: 100%;
}
body {
  background-color: #eeeff3;
  display: block;
  width: 100%;
  float: left;
  position: relative;
  -webkit-overflow-scrolling: touch;
  font-family: "Open Sans", sans-serif;

  background-image: url(../images/Desktop-Background.png?v=3);
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
}
.hf {
  float: left;
  width: 100%;
}
.ns {
  width: 1200px;
  margin: 0 auto;
}
a:hover {
  color: inherit;
  text-decoration: none;
}

.swal2-popup .swal2-styled.swal2-confirm {
  /* background-color: #1ba0fe; */
}

.page_state {
  display: none;
}
.page_state.active {
  display: flex;
}
img {
  width: 100%;
}
.prelogin,
.postlogin {
  position: fixed;
  width: 100%;
  height: 100%;
  align-items: center;
  justify-content: center;
}
.pre-logo {
  z-index: 1;
  width: 11.8%;
  left: 50%;
  margin-left: -6.5%;
}
.pre-btns {
  z-index: 1;
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 28%;
  flex-direction: column;
  align-items: center;
}
.pre-title {
  max-width: 1920px;
}
.login_btn {
  width: 10%;
}
.prelogin .htp_btn {
  width: 19%;
}
.pre-logo img,
.post-logo img {
  transition: 0.2s;
}
.pre-logo img:hover,
.post-logo img:hover {
  filter: drop-shadow(2px 3px 5px #ffffffb0);
}
.pre-btns button {
  margin: 1% 0 0;
  transition: 0.2s;
  padding: 0;
  border-radius: 20%;
  box-shadow: 0px 4px 14px 1px #aaab26a3;
  position: relative;
  top: 0;
  border: none;
  background: transparent;
}
.pre-btns button:hover {
  box-shadow: 0px 4px 14px 1px transparent;
  top: 5px;
}
.btn-close {
  position: absolute;
  top: -30px;
  right: -30px;
  filter: invert(1);
}
.modal-content {
  height: 100%;
}
.modal-dialog {
  max-width: none;
}
.modal-body {
  padding: 0;
}
#htpModal .modal-content {
  background-image: url(../images/how-to-play-menu.png?v=3);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: top center;
  background-color: transparent;
  border: none;
}
#htpModal .modal-dialog {
  width: 535px;
  height: 620px;
  margin: 5% auto;
}
.main_tnc {
  width: 63%;
  margin: 33% auto 0;
  overflow: auto;
  height: 406px;
  color: #ffff;
  font-size: 14px;
}
.main_tnc a {
  color: #cbc37b;
  text-decoration: none;
  font-weight: bold;
}
/* width */
.main_tnc::-webkit-scrollbar {
  width: 8px;
}
/* Track */
.main_tnc::-webkit-scrollbar-track {
  border-radius: 10px;
}
/* Handle */
.main_tnc::-webkit-scrollbar-thumb {
  background: #99221556;
  border-radius: 10px;
}
/* Handle on hover */
.main_tnc::-webkit-scrollbar-thumb:hover {
  background: #992215c7;
}
.postlogin .center_cont {
  position: relative;
}
.postlogin button {
  transition: 0.2s;
  padding: 0;
  border-radius: 20%;
  box-shadow: 0px 4px 14px 1px #aaab26a3;
  top: 0;
  border: none;
  background: transparent;
  z-index: 2;
}
.post-logo {
  z-index: 2;
  width: 34%;
  left: 50%;
  margin-left: -18%;
  margin-top: 6%;
}
.mascots {
  top: 0;
  width: 100%;
  margin-top: 11%;
}
.mascot_1 {
  left: -70%;
  /* transform: scaleX(-1); */
}
.mascot_2 {
  right: -69%;
}
.gachapon_machine {
  z-index: 1;
}
.spin_btn {
  width: 30%;
  left: 50%;
  margin-left: -15%;
  cursor: pointer;
  margin-top: -3%;
  transition: 0.2s;
}
.spin_btn.disable {
  filter: grayscale(1);
  pointer-events: none;
}
.spin_btn:hover {
  filter: drop-shadow(2px 3px 5px #ffffffa4);
}
.postlogin .htp_btn {
  top: 60%;
  left: -26%;
  width: 45%;
}
.postlogin .logout_btn {
  top: 60%;
  right: -11%;
  width: 28%;
}
.postlogin button:hover {
  box-shadow: 0px 4px 14px 1px transparent;
  margin-top: 5px;
}
.coin_left_cont {
  z-index: 2;
  top: 74.5%;
  left: 35%;
  width: 32%;
}
.plus_btn {
  margin-top: 15%;
  top: 0;
  right: 14%;
  z-index: 1;
  cursor: pointer;
  width: 15%;
  transition: 0.2s;
}
.plus_btn:hover {
  opacity: 0.8;
}
.coins_left {
  top: 33%;
  z-index: 1;
  color: #bfbfbf;
  left: 36%;
  height: 34%;
  width: 34%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 26px;
  font-weight: bold;
}
.gachapon_machine img {
  max-width: 595px;
}
.spinner {
  top: 60.5%;
  left: 40.8%;
  z-index: 1;
  width: 12%;
}
.spinner.spinning {
  animation-name: spinner;
  animation-duration: 4s;
}
@keyframes spinner {
  from {
    rotate: 359deg;
  }
  to {
    rotate: 1deg;
  }
}
.balls {
  position: absolute;
  top: 35%;
  z-index: 1;
  left: 30%;
  width: 44%;
}
.balls_moving {
  top: 0;
  position: absolute;
  margin-top: -8%;
  width: 137%;
  left: -22%;
  transition: 0.2s;
  opacity: 0;
}
.balls_static {
  transition: 0.2s;
  opacity: 1;
  position: absolute;
  margin-top: 2%;
}
.glass {
  position: absolute;
  top: 0;
  width: 140%;
  left: -24.5%;
  margin-top: -3%;
}
.balls.spinning .balls_moving {
  opacity: 1;
}
.balls.spinning .balls_static {
  opacity: 0;
}
.resultBg-blue {
  background-image: url(../images/);
}
.resultBg-green {
}
.resultBg-pink {
}
.resultBg-red {
}

#loginModal .modal-content {
  background-image: url(../images/login-menu.png?v=3);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center center;
  height: 100%;
  background-color: transparent;
  border: none;
}
#loginModal .modal-dialog {
  max-width: none;
  width: 320px;
  height: 400px;
  margin: 10% auto 0;
}
#loginModal .modal-body {
  text-align: center;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 12px;
  padding-top: 62%;
}
.btn-close {
  top: 0;
  right: 0;
  filter: invert(1);
}
#loginModal .login_title {
  font-size: 36px;
  color: #fff;
  letter-spacing: 2px;
  line-height: 1;
  margin-top: 12%;
}
#loginModal input {
  font-family: "Roboto", sans-serif;
  width: 75%;
  text-align: center;
  padding: 5px;
  border-radius: 12px;
  border: none;
  font-weight: 800;
  letter-spacing: 1px;
  font-size: 18px;
  color: #000;
}
#loginModal input[type="submit"] {
  background-color: #fff837;
}
.pre_title_mob {
  display: none;
}
#htpModal table {
  margin: 10px auto;
}
#htpModal table td {
  border: 1px solid #fff;
  padding: 0px 10px;
}
#htpModal h6 {
  margin-top: 15px;
}

#resultModal .modal-dialog {
  width: 340px;
  margin: 20% auto;
  top: 50%;
  margin-top: -170px;
}
#resultModal .modal-content {
  background: transparent;
  border: none;
}
.singleBall {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: transparent;
  z-index: 2;
  transition: 0.2s;
  display: none;
  opacity: 0;
}
.singleBall.throw {
  background-color: #00000042;
  display: block;
  opacity: 1;
}
.singleBall.throw img {
  position: absolute;
  left: 50%;
  top: 50%;

  width: 180px;
  margin-left: -90px;
  margin-top: -91.5px;

  animation-name: throwing;
  animation-duration: 2.5s;
}

@keyframes throwing {
  from {
    width: 80px;
    margin-left: -40px;
    margin-top: 100px;
  }
  to {
    width: 180px;
    margin-left: -90px;
    margin-top: -91.5px;
  }
}

@media only screen and (max-width: 1200px) {
  .pre_title_mob {
    display: block;
  }
  .pre_title_desktop {
    display: none;
  }
  .pre-logo {
    width: 20.8%;
    margin-left: -11%;
  }
  .pre-btns {
    margin-top: 62%;
  }
  .login_btn {
    width: 24%;
  }
  .prelogin .htp_btn {
    width: 50%;
  }
  #htpModal .modal-dialog {
    width: 360px;
    height: 420px;
    margin: 18% auto;
  }
  .main_tnc {
    height: 276px;
  }
  .mascot_2 {
    display: none;
  }
  .mascot_1 {
    left: -6%;
    transform: scaleX(-1);
    width: 48%;
    top: 31%;
    display: none;
  }
  .postlogin .htp_btn {
    top: 100%;
    left: 32%;
    width: 36%;
  }
  .postlogin .logout_btn {
    top: 108%;
    right: 37%;
    width: 25%;
  }
  .coins_left {
    top: 32%;
    font-size: 16px;
  }
  .plus_btn {
    margin-top: 11%;
    width: 14%;
  }
}
